xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) Lukas Mai
License | BSD-style (see LICENSE)
Maintainer | <l.mai@web.de>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Grid

Contents

- Usage

Description

A simple layout that attempts to put all windows in a square grid.

Synopsis

- data Grid a
  - = Grid
  - | GridRatio Double
- arrange :: Double -> Rectangle -> [a] -> [(a, Rectangle)]
- defaultRatio :: Double

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Grid

Then edit your `layoutHook` by adding the Grid layout:

    myLayout = Grid ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

You can also specify an aspect ratio for Grid to strive for with the GridRatio constructor. For example, if you want Grid to try to make a grid four windows wide and three windows tall, you could use

    myLayout = GridRatio (4/3) ||| etc.

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Grid a #

Constructors

Grid |
GridRatio Double |

Instances

LayoutClass Grid a # |
Methods runLayout :: Workspace WorkspaceId (Grid a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (Grid a)) # doLayout :: Grid a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (Grid a)) # pureLayout :: Grid a -> Rectangle -> Stack a -> [(a, Rectangle)] # emptyLayout :: Grid a -> Rectangle -> X ([(a, Rectangle)], Maybe (Grid a)) # handleMessage :: Grid a -> SomeMessage -> X (Maybe (Grid a)) # pureMessage :: Grid a -> SomeMessage -> Maybe (Grid a) # description :: Grid a -> String #
Read (Grid a) # |
Methods readsPrec :: Int -> ReadS (Grid a) # readList :: ReadS [Grid a] # readPrec :: ReadPrec (Grid a) # readListPrec :: ReadPrec [Grid a] #
Show (Grid a) # |
Methods showsPrec :: Int -> Grid a -> ShowS # show :: Grid a -> String # showList :: [Grid a] -> ShowS #

arrange :: Double -> Rectangle -> [a] -> [(a, Rectangle)] #

defaultRatio :: Double #